SendBlogBroadcast
POST
/auth/v1/blog/broadcastRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/auth.v1.SendBlogBroadcastRequest",
"$ref-value": {
"type": "object",
"properties": {
"slug": {
"type": "string",
"title": "slug"
},
"category": {
"type": "string",
"title": "category"
},
"title": {
"type": "string",
"title": "title"
},
"description": {
"type": "string",
"title": "description"
},
"url": {
"type": "string",
"title": "url"
},
"published_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "published_at"
},
"commit_sha": {
"type": "string",
"title": "commit_sha"
}
},
"title": "SendBlogBroadcastRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.SendBlogBroadcastResponse",
"$ref-value": {
"type": "object",
"properties": {
"broadcast_id": {
"type": "string",
"title": "broadcast_id"
},
"scheduled_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "scheduled_at"
},
"sent_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "sent_at"
}
},
"title": "SendBlogBroadcastResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/auth/v1/blog/broadcast" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/auth.v1.SendBlogBroadcastResponse",
"$ref-value": {
"type": "object",
"properties": {
"broadcast_id": {
"type": "string",
"title": "broadcast_id"
},
"scheduled_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "scheduled_at"
},
"sent_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "sent_at"
}
},
"title": "SendBlogBroadcastResponse",
"additionalProperties": false
}
}